"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _Button = require("@webiny/ui/Button");
var _hamburger = require("./icons/hamburger.svg");
var _index = require("./index");
var _appAdmin = require("@webiny/app-admin");
var Hamburger = function Hamburger() {
  var _useTags = (0, _appAdmin.useTags)(),
    location = _useTags.location;
  var _useNavigation = (0, _index.useNavigation)(),
    visible = _useNavigation.visible,
    setVisible = _useNavigation.setVisible;
  if (location === "installer") {
    return null;
  }
  return /*#__PURE__*/_react.default.createElement(_Button.IconButton, {
    icon: /*#__PURE__*/_react.default.createElement(_hamburger.ReactComponent, {
      style: {
        color: location === "navigation" ? undefined : "white"
      }
    }),
    onClick: function onClick() {
      return setVisible(!visible);
    },
    "data-testid": location === "navigation" ? undefined : "apps-menu"
  });
};
var _default = Hamburger;
exports.default = _default;

//# sourceMappingURL=Hamburger.js.map